apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: default-network-policy
  namespace: {{ .Values.namespaces.control }}
spec:
  podSelector: {}
  policyTypes:
    - Ingress
    - Egress
  egress:
    # allow DNS resolution
    - to:
      - namespaceSelector:
          matchLabels:
            kubernetes.io/metadata.name: kube-system
        podSelector:
          matchLabels:
            k8s-app: {{ .Values.global.kubeDnsK8sAppLabel }}
